%define _unpackaged_files_terminate_build 0

Summary:	Utilities for managing filesystem extended attributes.
Name:		attr
Group:		System Environment/Base
License:	GPL
Version:	2.4.1
Release:	1.5.1
Source0:	http://acl.bestbits.at/current/tar/attr-%{version}.src.tar.gz
Prereq:		/sbin/ldconfig
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%files
  %defattr(644,root,root)
  %doc README doc/CHANGES.gz doc/COPYING doc/PORTING doc/ea-conv
  %doc %{_mandir}/man1/attr.1*
  %doc %{_mandir}/man1/getfattr.1*
  %doc %{_mandir}/man1/setfattr.1*
  %doc %{_mandir}/man5/attr.5*

  %{_datadir}/locale/de/LC_MESSAGES/attr.mo

  %defattr(555,root,root)
  %{_bindir}/attr
  %{_bindir}/getfattr
  %{_bindir}/setfattr


%package -n libattr
Summary:	Dynamic library for extended attribute support.
Group:		Development/Libraries
Prereq:		/sbin/ldconfig

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%files -n libattr
  %attr(0444,root,root)	/lib/libattr.so.1.1.0
  %attr(0555,root,root)	/lib/libattr.so.1


%package -n libattr-devel
Summary:	Extended attribute static libraries and headers.
Group:		Development/Libraries
Requires:	libattr

%description -n libattr-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

%files -n libattr-devel
  %defattr(-,root,root)
  %doc %{_mandir}/man2/fgetxattr.2*
  %doc %{_mandir}/man2/flistxattr.2*
  %doc %{_mandir}/man2/fremovexattr.2*
  %doc %{_mandir}/man2/fsetxattr.2*
  %doc %{_mandir}/man2/getxattr.2*
  %doc %{_mandir}/man2/lgetxattr.2*
  %doc %{_mandir}/man2/listxattr.2*
  %doc %{_mandir}/man2/llistxattr.2*
  %doc %{_mandir}/man2/lremovexattr.2*
  %doc %{_mandir}/man2/lsetxattr.2*
  %doc %{_mandir}/man2/removexattr.2*
  %doc %{_mandir}/man2/setxattr.2*
  %doc %{_mandir}/man3/attr_get.3*
  %doc %{_mandir}/man3/attr_getf.3*
  %doc %{_mandir}/man3/attr_multi.3*
  %doc %{_mandir}/man3/attr_multif.3*
  %doc %{_mandir}/man3/attr_remove.3*
  %doc %{_mandir}/man3/attr_removef.3*
  %doc %{_mandir}/man3/attr_set.3*
  %doc %{_mandir}/man3/attr_setf.3*

  %defattr(0444,root,root)
  %{_includedir}/attr/attributes.h
  %{_includedir}/attr/error_context.h
  %{_includedir}/attr/libattr.h
  %{_includedir}/attr/xattr.h
  %{_libdir}/libattr.a
  %{_libdir}/libattr.la

  %defattr(0555,root,root)
  %{_libdir}/libattr.so
  /lib/libattr.so
  /lib/libattr.a
  /lib/libattr.la

%prep
%setup -q
  make configure

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export DIST_ROOT="$RPM_BUILD_ROOT"
  export DIST_INSTALL=`pwd`/install.manifest
  export DIST_INSTALL_DEV=`pwd`/install-dev.manifest
  export DIST_INSTALL_LIB=`pwd`/install-lib.manifest

  make install DIST_MANIFEST="$DIST_INSTALL"
  make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

  make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
  make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

  make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
  make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

%post -n libattr   -p /sbin/ldconfig
%postun -n libattr -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.2.7, Release 1.5.1
  - Backport to Thrust.

* Sat Jul 12 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.1, Release 1.9.1
  - Initial build for Flick.
